Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry Struct Reference

`#include <OgreRadixSort.h>`

List of all members.

## Public Member Functions

| SortEntry ()
| SortEntry (TCompValueType k, ContainerIter it)

## Public Attributes

TCompValueType | key
ContainerIter | iter

## Detailed Description

### template<class TContainer, class TContainerValueType, typename TCompValueType>
struct Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry

Definition at line 103 of file OgreRadixSort.h.

## Constructor & Destructor Documentation

template<class TContainer, class TContainerValueType, typename TCompValueType>

Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry | ( |  | ) |

Definition at line 107 of file OgreRadixSort.h.

template<class TContainer, class TContainerValueType, typename TCompValueType>

Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry | ( | TCompValueType | k,
|  | ContainerIter | it
| ) |  |

Definition at line 108 of file OgreRadixSort.h.

## Member Data Documentation

template<class TContainer, class TContainerValueType, typename TCompValueType>

ContainerIter Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::iter

Definition at line 106 of file OgreRadixSort.h.

template<class TContainer, class TContainerValueType, typename TCompValueType>

TCompValueType Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::key

Definition at line 105 of file OgreRadixSort.h.

The documentation for this struct was generated from the following file:

- OgreRadixSort.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:34